Loading...
Searching...
No Matches
Opm::GroupEconProductionLimits::GEconGroupProp Class Reference

## Public Member Functions

| GEconGroupProp (const double min_oil_rate, const double min_gas_rate, const double max_water_cut, const double max_gas_oil_ratio, const double max_water_gas_ratio, EconWorkover workover, bool end_run, int max_open_wells)
bool | endRun () const
std::optional< double > | minOilRate () const
std::optional< double > | minGasRate () const
std::optional< double > | maxWaterCut () const
std::optional< double > | maxGasOilRatio () const
std::optional< double > | maxWaterGasRatio () const
int | maxOpenWells () const
EconWorkover | workover () const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GroupEconProductionLimits.hpp
- opm/input/eclipse/Schedule/Group/GroupEconProductionLimits.cpp